/* Header file containing the constants used by all parallel 
 * routines to log event data.  This data will be used by the dspDemo
 * application to produce a hypercube and various other displays
 */

/* define constants for event data
 */
#define BCAST_EVENT 0
#define SEND_EVENT 1
#define RECV_EVENT 2
#define GATHER_EVENT 3
#define SCATTER_EVENT 4
#define START_EVENT 5
#define STOP_EVENT 6
#define WORKING_EVENT 7
#define MAX_STRING_LENGTH 1024
#define MAX_NUM_RECORDS 1024

/* define constant for a send or recv from all
 */
#define ALL_NODES 99


/* define the max array size for structures
 */
#define MAX_STRUCT_ARRAY_SIZE 100



