// file: driver.c
//

// include files
//
#include <stdio.h>
#include <math.h>

// define pi
//
#define pi 3.14159265359

// program: driver
//
// arguments:
//
// return:
// 	nothing
//
// description:
//		program designed to drive the DITF fft program
//

// define N_d
//
#define N 4

main() {

	int i;
        int N_d = N;
	float input[N];
	float real_a[N];
	float imag_a[N];
	void ditf(int N_d, float* input, float* real_a, float* imag_a);

	// build function to get the DITF of
	//
	  input[0]=0;
	  input[1]=1;
	  input[2]=1;
	  input[3]=0;

	ditf(N_d, input, real_a, imag_a);
	// display results in table format
	//

	for (i=0; i<N_d; i++) {
		input[i] = sqrt(pow(real_a[i],2) + pow(imag_a[i],2));
		printf("%d %12.9f  +j %12.9f\n",i,real_a[i],imag_a[i]);
	}
	return 0;
}




